Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 702 - logrotate core dump with {}
Summary: logrotate core dump with {}
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: logrotate
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-06 13:29 UTC by Karl Berry
Modified: 2010-03-04 14:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-22 19:34:32 UTC


Attachments (Terms of Use)

Description Karl Berry 1999-01-06 13:29:59 UTC
i created an entry in /etc/logrotate.conf like this:
/var/log/named {}

logrotate dumped core, as i found out from logrotate -d.
(from cron i got a message containing just `error:'.)
it seems there must be a newline after the {.
ok (although unnecessarily verbose), but still shouldn't
crash.

Comment 1 Erik Troan 1999-03-22 19:34:59 UTC
fixed in logrotate 3.1


Note You need to log in before you can comment on or make changes to this bug.